Bug 886157 - samba4 should use the same winbind pipes as samba
samba4 should use the same winbind pipes as samba
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: samba4 (Show other bugs)
6.4
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Andreas Schneider
Namita Soman
: Regression
Depends On:
Blocks: 888457
  Show dependency treegraph
 
Reported: 2012-12-11 11:15 EST by Sumit Bose
Modified: 2013-02-21 03:46 EST (History)
2 users (show)

See Also:
Fixed In Version: samba4-4.0.0-51.el6.rc4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 03:46:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sumit Bose 2012-12-11 11:15:56 EST
Description of problem:
samba4 is configured with the option --with-sockets-dir=/var/run/samba which places the public winbind socket in /var/run/samba/winbindd/pipe . The samba based on samba3 has a patch (samba-3.2.0pre1-pipedir.patch) to create the socket as /var/run/winbindd/pipe.

samba4 should use tha same path to not break existing components like e.g. SELinux labeling.


Version-Release number of selected component (if applicable):
samba4-4.0.0-50.el6.rc4
Comment 2 Andreas Schneider 2012-12-12 09:39:21 EST
I will add --with-winbindd-socket-dir=/var/run/winbindd
Comment 4 Namita Soman 2013-01-28 13:18:34 EST
# rpm -qa | grep samba
samba4-libs-4.0.0-53.el6.rc4.x86_64
samba4-common-4.0.0-53.el6.rc4.x86_64
samba4-4.0.0-53.el6.rc4.x86_64
samba4-python-4.0.0-53.el6.rc4.x86_64
samba4-winbind-clients-4.0.0-53.el6.rc4.x86_64
samba4-winbind-4.0.0-53.el6.rc4.x86_64


Verified that /var/run/samba/winbindd/pipe does not exist, and instead is at /var/run/winbindd/pipe


# ls -l /var/run/samba/
total 8
-rw-------. 1 root root 1307 Jan 28 09:58 krb5cc_samba
drwxr-xr-x. 3 root root 4096 Jan 28 12:14 ncalrpc

# ls -l /var/run/winbindd/pipe 
srwxrwxrwx. 1 root root 0 Jan 28 12:14 /var/run/winbindd/pipe
Comment 5 errata-xmlrpc 2013-02-21 03:46:27 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0506.html

Note You need to log in before you can comment on or make changes to this bug.